Skip to main content
GET
/
property-lists
/
{listId}
/
resolve
Resolve property list (ADCP)
curl --request GET \
  --url https://api.agentic.scope3.com/api/v2/buyer/property-lists/{listId}/resolve \
  --header 'Authorization: Bearer <token>'
{
  "list": {
    "list_id": "42",
    "name": "Premium Publishers"
  },
  "identifiers": [
    {
      "type": "domain",
      "value": "nytimes.com"
    }
  ],
  "resolved_at": "2023-11-07T05:31:56Z",
  "cache_valid_until": "2023-11-07T05:31:56Z"
}

Authorizations

Authorization
string
header
required

API key or access token

Path Parameters

listId
string
required

Response

Resolve property list (ADCP)

ADCP GetPropertyListResponse format for sales agent property list resolution

list
object
required
identifiers
object[]
required

Resolved domain identifiers in the list

resolved_at
string<date-time>
required

When the list was resolved

Pattern: ^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d(?::[0-5]\d(?:\.\d+)?)?(?:Z))$
cache_valid_until
string<date-time>
required

When the cached list should be re-fetched

Pattern: ^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d(?::[0-5]\d(?:\.\d+)?)?(?:Z))$